package com.storlead.user.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.storlead.framework.common.constant.DSConstants;
import com.storlead.user.pojo.entity.Hrmresource;
import com.storlead.user.pojo.entity.UserEntity;
import com.storlead.user.mapper.HrmresourceMapper;
import com.storlead.user.service.IHrmresourceService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
@DS(DSConstants.DATASOURCE_OA)
public class HrmresourceServiceImpl extends ServiceImpl<HrmresourceMapper, Hrmresource> implements IHrmresourceService {

    @Resource
    private HrmresourceMapper hrmresourceMapper;

    @Override
    public void updatePermanentDate() {
        hrmresourceMapper.updatePermanentDate();
    }

    @Override
    public void updateResignDate() {
        hrmresourceMapper.updateResignDate();
    }

    @Override
    public List<UserEntity> getUserList() {
        return hrmresourceMapper.getUserList();
    }
}
